Main Page Widgets glibmm Namespaces Book

# contenttype.h File Reference

## Namespaces
namespace | Gio
## Functions
bool | Gio::content_type_equals (const Glib::ustring& type1, const Glib::ustring& type2)
| Compares two content types for equality.
bool | Gio::content_type_is_a (const Glib::ustring& type, const Glib::ustring& supertype)
| Determines if type is a subset of supertype.
bool | Gio::content_type_is_unknown (const Glib::ustring& type)
| Checks if the content type is the generic "unknown" type.
Glib::ustring | Gio::content_type_get_description (const Glib::ustring& type)
| Gets the human readable description of the content type.
Glib::ustring | Gio::content_type_get_mime_type (const Glib::ustring& type)
| Gets the mime-type for the content type.
Glib::RefPtr<Icon> | Gio::content_type_get_icon (const Glib::ustring& type)
  | Parameters:
  | type | A content type string.
bool | Gio::content_type_can_be_executable (const Glib::ustring& type)
| Checks if a content type can be executable.
Glib::ustring | Gio::content_type_guess (const std::string& filename, const guchar* data, gsize data_size, bool& result_uncertain)
| Guesses the content type based on example data.
Glib::ustring | Gio::content_type_guess (const std::string& filename, const std::string& data, bool& result_uncertain)
| Guesses the content type based on example data.
Glib::ListHandle<Glib::ustring> | Gio::content_types_get_registered ()
| Gets a list of strings containing all the registered content types known to the system.